Package com.tibco.patterns.learn.rlink

## Enum RLink.SubsetTrainMode

- java.lang.Object
- - java.lang.Enum<RLink.SubsetTrainMode>
  - - com.tibco.patterns.learn.rlink.RLink.SubsetTrainMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RLink.SubsetTrainMode>`
  Enclosing class:
    RLink

      public static enum RLink.SubsetTrainMode
      extends java.lang.Enum<RLink.SubsetTrainMode>

  Defines methods used to generate training examples for subsets of given training example

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | Train all subsets with generated examples
    `DYNAMIC` | Train subsets and supersets, restricted by score limits
    `FIXED` | Train up to fixed depth of subsets, defined by percentage of missing info
    `NONE` | Train actual examples only, no generated subsets
    `TAPER` | Use a random tapering function to generate some examples for subsets

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RLink.SubsetTrainMode` | `fromInt​(int v)` |
    `int` | `getValue()` |
    `static RLink.SubsetTrainMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RLink.SubsetTrainMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final RLink.SubsetTrainMode ALL

      Train all subsets with generated examples

    - #### NONE

          public static final RLink.SubsetTrainMode NONE

      Train actual examples only, no generated subsets

    - #### TAPER

          public static final RLink.SubsetTrainMode TAPER

      Use a random tapering function to generate some examples for subsets

    - #### FIXED

          public static final RLink.SubsetTrainMode FIXED

      Train up to fixed depth of subsets, defined by percentage of missing info

    - #### DYNAMIC

          public static final RLink.SubsetTrainMode DYNAMIC

      Train subsets and supersets, restricted by score limits

  - ### Method Detail

    - #### values

          public static RLink.SubsetTrainMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RLink.SubsetTrainMode c : RLink.SubsetTrainMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RLink.SubsetTrainMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns:
        the integer value for this mode.

    - #### fromInt

          public static RLink.SubsetTrainMode fromInt​(int v)

      Returns:
        a subset training mode that corresponds to the given value.
      Throws:
        `java.lang.IllegalArgumentException` - if given value is invalid.